Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161199 - xen domain gets not destroyed after shutdown, still consumes RAM
Summary: xen domain gets not destroyed after shutdown, still consumes RAM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 179599
TreeView+ depends on / blocked
 
Reported: 2005-06-21 10:26 UTC by Nils Toedtmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 02:58:16 UTC


Attachments (Terms of Use)

Description Nils Toedtmann 2005-06-21 10:26:26 UTC
Description of problem:
  When i shutdown a xen domU (from inside the domU or via "xm shutdown") the
  domain does not get destroyed and still holds it's assigned memory until i 
  use "xm list". So unattended halts and boots will end up in dead domains
  blocking RAM.


Version-Release number of selected component (if applicable):
  xen-2-20050522
  kernel-xen0-2.6.11-1.1369_FC4
  kernel-xenU-2.6.11-1.1369_FC4


How reproducible:
  Always


Steps to Reproduce:
  xm shutdown domain
  # wait for "Power down."
  xm info | grep free_memory
  # wait as long as you like
  xm info | grep free_memory
  xm list
  sleep 2
  xm list
  xm info | grep free_memory


Actual results:
  The halted domain gets destroyed shortly after the first "xm list". Until 
  then, it's kept in state "s" ("shutdown"), memory still assigned.


Expected results:
  The halted domain gets destroyed (and memory freed) shortly after the domU
  kernel stops.


Additional info:
  I think this bug was discussed on xen-devel, so maybe it's fixed upstrem. 
  Example session:

  [root@crusher PW]# xm create -c bering
  Using config file "/etc/xen/bering".
  ...
  bering# halt
  ...
  Power down.
  # type Ctrl-]
  
  [root@crusher PW]# xm info | grep free_memory
  free_memory            : 231
  [root@crusher PW]# sleep 120

  [root@crusher PW]# xm info | grep free_memory
  free_memory            : 231
  [root@crusher PW]# xm list
  Name              Id  Mem(MB)  CPU  State  Time(s)  Console
  Domain-0           0      245    0  r----   1273.2        
  bering2            8       16    0  ---s-      0.5    9608
  [root@crusher PW]# xm list
  Name              Id  Mem(MB)  CPU  State  Time(s)  Console
  Domain-0           0      245    0  r----   1274.6        
  [root@crusher PW]# xm info | grep free_memory
  free_memory            : 247

Comment 1 Rik van Riel 2006-02-09 02:21:36 UTC
This no longer seems to happen with current Fedora Core 5 rawhide Xen packages.


Note You need to log in before you can comment on or make changes to this bug.